import os
import sys
import time
import django
local_path = os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
print(local_path)
if local_path not in sys.path:
    sys.path.append(local_path)
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "kedong.settings")
django.setup()
from django.conf import settings
from smartfarming.models.device import MongoDevice
from smartfarming.models.weather import QXZdata_New, MongoQXZ_Alarm
import json
import requests
import pymongo
from urllib import parse


my_client = pymongo.MongoClient(host="8.136.98.49", port=27017, username="root", password="yfkj@6020")
my_col = my_client['smartfarming']['sa_device']

qx_device = {
"861551055315402",
"861551056086671",
"861551056088693",
"861551056088479",
"861551056088719",
"861551055313365",
"861551056086614",
"861551056093800"
}


def dsj_qxz_conf_info():
    user = parse.quote_plus("root")
    passwd = parse.quote_plus("yfkj@6020")
    # 账号密码方式连接MongoDB | "mongodb://用户名:密码@公网ip:端口/"
    myclient = pymongo.MongoClient("mongodb://{0}:{1}@8.136.98.49:57017/".format(user,passwd))
    # myclient = pymongo.MongoClient("mongodb://127.0.0.1:12514/")
    # 指定数据库
    db = myclient.smartfarming
    # 指定集合
    collection1 = db.sa_qxz_alarm

    for k in qx_device:
        data = {'device_id': "862289057453835"}
        cursor = collection1.find(data,{'_id':0,'id':0})
        for i in cursor[:1]:
            MongoQXZ_Alarm.objects.create(
                    device_id =  k,
                    conf =  i.get("conf"), 
                    phone =  i.get("phone"), 
                    upl_time =  i.get("upl_time")                
            )
        print(f"设备: {k} 数据量  {cursor.count()}")
    return True


if __name__ == "__main__":
    dsj_qxz_conf_info()